# SNESSkipConverged

Convergence test for SNES that NEVER returns as converged, UNLESS the maximum number of iteration have been reached.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESSkipConverged(SNES snes,PetscInt it,PetscReal xnorm,PetscReal pnorm,PetscReal fnorm,SNESConvergedReason *reason,void *dummy)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| it | - the iteration (0 indicates before any Newton steps)
| xnorm | - 2-norm of current iterate
| pnorm | - 2-norm of current step
| fnorm | - 2-norm of function at current iterate
| dummy | - unused context

### Output Parameter

reason -SNES_CONVERGED_ITERATING or SNES_DIVERGED_FNORM_NAN

### Notes

Convergence is then declared after a fixed number of iterations have been used.

### Keywords

SNES, nonlinear, skip, converged, convergence

### See Also

SNESSetConvergenceTest()

Level:advanced
Location: src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages